#pragma once

typedef enum MOVE
{
	MLEFT	= 0,
	MUP		= 1,
	MRIGHT	= 2,
	MDOWN	= 3,
}MOVE;


class PLAYER
{
	DWORD Time;
	char	Rot;
	char	Steep;
	char	Imag;
	int		MoveSpeed;


public:

	float	Speed;
	bool Live,Spirit;
	int				Wave,Bomb,Erase;
	D3DXVECTOR2 Position;

	IMAGE	*Body;	
	IMAGE	*ImageDraw;

	IMAGE	*Col,*BombCol;
	PLAYER(char Pla);

	void	Move(MOVE Move);
	void	Draw(void);
	bool	Collide(IMAGE	&Image);
	bool	BombCollide(IMAGE	&Image);
	void	SetPosition(float x,float y);
//	void	Flip(void);

	~PLAYER(void);

};

